%define upstream_name Pod-Tests
%define upstream_version 1.20

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Extracts embedded tests and code examples from POD
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://search.cpan.org/CPAN/authors/id/A/AD/ADAMK/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(POSIX)
BuildRequires: perl(Symbol)
BuildRequires: perl(Test::Harness) >= 1.220.0
BuildRequires: perl(Test::More)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This is a specialized POD viewer to extract embedded tests and code examples
from POD. It doesn't do much more than that. pod2test does the useful work.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
chmod 644 Changes README
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make}

%check
%{__make} test

%install
%make_install

%files
%doc CONTRIBUTING Changes INSTALL LICENSE META.json META.yml MYMETA.yml README
%{_bindir}/pod2test
%{perl_vendorlib}/Pod/*.pm
%{_mandir}/man1/*
%{_mandir}/man3/*

%changelog
* Sat Feb 15 2020 umeabot <umeabot> 1.200.0-2.mga8
+ Revision: 1523316
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Sun Mar 03 2019 tv <tv> 1.200.0-1.mga7
+ Revision: 1371135
- update to 1.20

* Thu Sep 20 2018 umeabot <umeabot> 1.190.0-10.mga7
+ Revision: 1285747
- Mageia 7 Mass Rebuild

* Tue Oct 03 2017 tv <tv> 1.190.0-9.mga7
+ Revision: 1166278
- rebuild with fixed rpm for missing autodeps

* Wed Sep 27 2017 tv <tv> 1.190.0-8.mga7
+ Revision: 1160235
- add BR on perl(inc::Module::Install)

* Sun Jun 19 2016 pterjan <pterjan> 1.190.0-7.mga6
+ Revision: 1032331
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 1.190.0-6.mga6
+ Revision: 944759
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.190.0-5.mga5
+ Revision: 748233
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.190.0-4.mga5
+ Revision: 686024
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.190.0-3.mga4
+ Revision: 514233
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.190.0-2.mga3
+ Revision: 372020
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 20 2011 jquelin <jquelin> 1.190.0-1.mga1
+ Revision: 26867
- mageia rebuild
- imported package perl-Pod-Tests


* Mon Aug 03 2009 Jérôme Quelin <jquelin@mandriva.org> 1.190.0-1mdv2010.0
+ Revision: 407969
- rebuild using %%perl_convert_version

* Mon Jul 14 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.19-1mdv2009.0
+ Revision: 235607
- update to new version 1.19

* Thu Jan 17 2008 Oden Eriksson <oeriksson@mandriva.com> 0.18-4mdv2008.1
+ Revision: 154210
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Sep 19 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.18-3mdv2008.0
+ Revision: 90070
- rebuild


* Sun Jan 14 2007 Olivier Thauvin <nanardon@mandriva.org> 0.18-2mdv2007.0
+ Revision: 108466
- rebuild
- Import perl-Pod-Tests

* Sat Sep 24 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.18-1mdk
- Initial Mandriva release

